#!/bin/bash

. /usr/bin/ParseDico

CMDHALT="/sbin/shutdown -h now \"Shut Down via eclairhalt.sh.\""
OPT1=$1
OPT2=$2
if [ "$client_shutdown" = "oui" ] && [ "$OPT1" = "--gdm" ]
then
	[ "$OPT2" = "reboot" ] && CMDHALT="/sbin/shutdown -r now \"Rebooted via eclairhalt.sh.\""
	eclair_shutdown="le serveur et les clients"
fi
if [ "$eclair_shutdown" = "jamais" ]
then
	echo "Non autorisé"
	exit 1
fi

if [ ! "$OPT1" = "--gdm" ] && [ ! "$OPT1" = "" ]
then
	[ "$OPT2" = "" ] && echo "Usage: $0 user ip" && exit 1
	USER=$OPT1
	IP=$OPT2
	/usr/bin/ecm-remote -D $USER
else
	if [ "$eclair_shutdown" = "seulement une selection" ]
	then
		echo "Non autorisé"
		exit 1
	fi
	/usr/bin/ecm-remote -A
fi
sleep 10
[ "$IP" = "" ] && ECMOPT="-X" || ECMOPT="-x $IP"
/usr/bin/ecm-remote $ECMOPT -y halt
sleep 10

[ "$eclair_shutdown" = "le serveur et les clients" ] && [ "$IP" = "" ] && $CMDHALT

